NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Die.AddendumSectionUserDefinedBuilder Class Reference

Represents a NXOpen.Die.AddendumSectionUserDefinedBuilder builder used to select a previously defined section or a string of objects to define the section shape. More...

Inheritance diagram for NXOpen.Die.AddendumSectionUserDefinedBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.Curve CreateUserDefinedSection ()
 Creates user defined addendum section based upon input to NXOpen.Die.AddendumSectionUserDefinedBuilder.Section . More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool ReverseAnchorPoint [get, set]
 Returns or sets the indicator to reverse the anchor point. More...
 
unsafe NXOpen.Section Section [get]
 Returns the objects defining the section, either a previously defined section or a string of objects defining the section shape. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Die.AddendumSectionUserDefinedBuilder builder used to select a previously defined section or a string of objects to define the section shape.

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateAddendumSectionUserDefinedBuilder

Created in NX7.5.0

Member Function Documentation

unsafe NXOpen.Curve NXOpen.Die.AddendumSectionUserDefinedBuilder.CreateUserDefinedSection ( )
inline

Creates user defined addendum section based upon input to NXOpen.Die.AddendumSectionUserDefinedBuilder.Section .

Created in NX7.5.0

License requirements: None.

Returns
user defined section curve

Property Documentation

unsafe bool NXOpen.Die.AddendumSectionUserDefinedBuilder.ReverseAnchorPoint
getset

Returns or sets the indicator to reverse the anchor point.

The anchor point is initially the first point of the joined string of selected objects. This is used as the starting point for the section when it is placed on the tangency curve. It can be reversed to use the other end of the string as the starting point.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Section NXOpen.Die.AddendumSectionUserDefinedBuilder.Section
get

Returns the objects defining the section, either a previously defined section or a string of objects defining the section shape.

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.